#!/usr/bin/perl

use strict;

my $filename = $ARGV[0];
my $outfile  = $ARGV[1];

my @countarray;
my $length = undef;
my $numRows = undef;

open(F,"<$filename");
while (<F>) {
	my $line = $_;
	chomp($line);
	my @vals = split("\t",$line);
	my $len = $#vals+1;
	if (!defined($length)) {
	    $length = $len;
	}
	else {
	    if ($length != $len) {
		die "Unequal length vectors cant be added\n";
	    }
	}
	for (my $i=2; $i<=$#vals; $i++) {
	    $countarray[$i] += $vals[$i];
	}
}
close(F);

open(OUT,">$outfile");
print OUT "0\tdummy0";
for (my $i=2; $i<$length; $i++) {
	print OUT "\t".$countarray[$i];
}
print OUT "\n";
close(OUT);
	

